
%define		rpmalloc_version 1.3.0
%define		qt5_x11embed_version 022b39a1d496d72eb3e5b5188e5559f66afca957

Summary:	Linux MultiMedia Studio
Summary(pl.UTF-8):	MultiMedialne Studio Linuksa
Name:		lmms
Version:	1.2.2
Release:	1
License:	GPL V2
Group:		X11/Applications/Sound
Source0:	https://github.com/LMMS/lmms/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	05ae14878db8bee074d520371e6cc779
Source1:	https://github.com/rampantpixels/rpmalloc/archive/%{rpmalloc_version}/rpmalloc-%{rpmalloc_version}.tar.gz
# Source1-md5:	95109beaddeaafd20345ebe4e10c76ba
Source2:	https://github.com/Lukas-W/qt5-x11embed/archive/%{qt5_x11embed_version}/qt5-x11embed-%{qt5_x11embed_version}.tar.gz
# Source2-md5:	193f7a94d1af51c2f85628fcbbf2bf49
URL:		https://lmms.io/
BuildRequires:	Carla-devel >= 2.0-0.rc2.3
BuildRequires:	Mesa-libGL-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake
BuildRequires:	fftw3-single-devel >= 3.0.0
BuildRequires:	fluidsynth-devel >= 1.0.7
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	lame-libs-devel
BuildRequires:	libgig-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel >= 0.1.8
BuildRequires:	libsndfile-devel >= 1.0.11
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake
BuildRequires:	xorg-lib-libXft-devel
# the VSD loader requires 32-bit devel files
#BuildRequires:	wine-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LMMS is a free cross-platform program, which allow you to produce
music with your computer.

%description -l pl.UTF-8
LMMS to wolny, międzyplatformowy program, który pozwoli Tobie tworzyć
muzykę na komputerze.

%package devel
Summary:	LMMS header files
Summary(pl.UTF-8):	Pliki nagłówkowe LMMS
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
The header files for LMMS.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla LMMS.

%package libs
Summary:	LMMS library
Summary(pl.UTF-8):	Biblioteka LMMS
Group:		X11/Applications/Sound

%description libs
LMMS library.

%description libs -l pl.UTF-8
Biblioteka LMMS.

%prep
%setup -q -a1 -a2

rmdir src/3rdparty/rpmalloc/rpmalloc
ln -s ../../../rpmalloc-%{rpmalloc_version} src/3rdparty/rpmalloc/rpmalloc

rmdir src/3rdparty/qt5-x11embed
ln -s ../../qt5-x11embed-%{qt5_x11embed_version} src/3rdparty/qt5-x11embed

rmdir qt5-x11embed-%{qt5_x11embed_version}/3rdparty/ECM
ln -s %{_datadir}/ECM qt5-x11embed-%{qt5_x11embed_version}/3rdparty/ECM

%build
install -d build
cd build
%cmake .. \
	-DWANT_QT5=ON \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DWANT_VST_NOWINE=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_iconsdir}/hicolor/*@2/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root)%{_bindir}/lmms
%{_desktopdir}/lmms.desktop
%{_mandir}/man1/lmms.1*
%{_datadir}/mime/packages/lmms.xml
%{_datadir}/lmms
%{_iconsdir}/hicolor/*/apps/lmms.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-lmms-project.png
%{_iconsdir}/hicolor/*/apps/lmms.svg
%{_iconsdir}/hicolor/*/mimetypes/application-x-lmms-project.svg
%{bash_compdir}/lmms

%files devel
%defattr(644,root,root,755)
%{_includedir}/lmms
%{_libdir}/libqx11embedcontainer.a

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/lmms
%attr(755,root,root)%{_libdir}/lmms/*.so
%dir %{_libdir}/lmms/ladspa
%attr(755,root,root)%{_libdir}/lmms/ladspa/*.so
%changelog
* Wed Jan 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lmms.git;a=log;h=master

* Wed Jan 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8ae215e
- up to 1.2.2

* Wed Nov 21 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> e4301e4
- fixed Carla-devel dependency

* Wed Nov 21 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 29d95b6
- BR: Qt5X11Extras-devel

* Tue Nov 20 2018 Jacek Konieczny <jajcus@jajcus.net> a5b8859
- Version: 1.2.0-rc7, build with fluidsynth 2.0

* Sat Dec 12 2015 Jacek Konieczny <jajcus@jajcus.net> cfe29be
- Version: 1.1.3

* Fri May 03 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8139134
- updated to 0.4.14

* Sat Sep 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> f2591a3
- updated to 0.4.13
- patch to build with gcc 4.7
- more versioned BRs

* Sat Sep 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8ef208e
- adds missing includes

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c78c2d7
- release 5

* Sat Sep 17 2011 Szymon Siwek <sls@pld-linux.org> d68198c
- packaged %{_includedir}/lmms
- rel. 4

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cb2a08b
- release 3

* Tue Jul 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 72c34ff
- rel 2; plugin path fixes by Daniel Dawid Majewski

* Sat Jun 11 2011 Krzysztof Goliński <dirdival@pld-linux.org> c5fd0b1
- updated to 0.4.11

* Fri Feb 11 2011 sparky <sparky@pld-linux.org> 808962b
- BR: portaudio-devel

* Fri Feb 11 2011 Krzysztof Goliński <dirdival@pld-linux.org> c132d8a
- updated to 0.4.10

* Sun Dec 05 2010 Krzysztof Goliński <dirdival@pld-linux.org> 6585170
- updated to 0.4.8
- added missing R: lmms-libs
- added png path

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> 6a1c983
- BR: fftw3-single-devel, xorg-lib-libXft-devel

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> a000a58
- missing BRs

* Thu Aug 20 2009 shadzik <shadzik@pld-linux.org> 3854b85
- init
- by Krzysztof Goliński <krzysztof dot golinski at gmail dot com>

